Fix PATH_MAX detection by including sys/param.h if available

Patch sent upstream:
https://bz.apache.org/bugzilla/show_bug.cgi?id=63782

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>

--- a/configure.in
+++ b/configure.in
@@ -1596,6 +1596,7 @@ AC_SUBST(stdlibh)
 AC_SUBST(stringh)
 AC_SUBST(stringsh)
 AC_SUBST(sys_ioctlh)
+AC_SUBST(sys_paramh)
 AC_SUBST(sys_sendfileh)
 AC_SUBST(sys_signalh)
 AC_SUBST(sys_socketh)
--- a/include/apr.h.in
+++ b/include/apr.h.in
@@ -95,6 +95,7 @@
 #define APR_HAVE_STRINGS_H       @stringsh@
 #define APR_HAVE_INTTYPES_H      @inttypesh@
 #define APR_HAVE_SYS_IOCTL_H     @sys_ioctlh@
+#define APR_HAVE_SYS_PARAM_H     @sys_paramh@
 #define APR_HAVE_SYS_SENDFILE_H  @sys_sendfileh@
 #define APR_HAVE_SYS_SIGNAL_H    @sys_signalh@
 #define APR_HAVE_SYS_SOCKET_H    @sys_socketh@
@@ -218,6 +219,9 @@
 #ifdef __cplusplus
 extern "C" {
 #endif
+#if APR_HAVE_SYS_PARAM_H
+#include <sys/param.h>
+#endif
 
 /**
  * @addtogroup apr_platform
